# Yocto

...

## Get the repository

```shell
mkdir yocto-bf
cd yocto-bf
repo init -u "https://git.blackfinn.de/yocto/linux-blackfinn.git"
repo sync
```

## Set Environment

```shell
MACHINE=<machineconf> source blackfinn-init-build-env
```

Supported machineconfs:

* qemuarm
* beaglebone-yocto
* raspberrypi3-64
* raspberrypi4-64


## Build the Image
```shell
bitbake <image_name>
```

Supported images:

* console-image
* console-dev-image
* docker-image

## Flash the Image

### beaglebone-yocto

```shell
dd if=tmp/deploy/images/beaglebone-yocto/docker-image-beaglebone-yocto.wic of=/dev/<sd_card>
```

### raspberrypiX-64

```shell
bmaptool copy --bmap \
	tmp/deploy/images/raspberrypiX-64/docker-image-raspberrypiX-64.wic.bmap \
	tmp/deploy/images/raspberrypiX-64/docker-image-raspberrypiX-64.wic.bz2 \
	/dev/<sd_card>
```

